Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.fileupload
Class UploadedFileDefaultFileImpl

    java.lang.Object
      org.apache.myfaces.custom.fileupload.UploadedFileDefaultImplBase
          org.apache.myfaces.custom.fileupload.UploadedFileDefaultFileImpl

All Implemented Interfaces:
  java.io.Serializable, UploadedFile

public class UploadedFileDefaultFileImpl
extends UploadedFileDefaultImplBase

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Constructor Summary
`UploadedFileDefaultFileImpl(org.apache.commons.fileupload.FileItem fileItem)`

Method Summary
`byte[]` | `getBytes()` Answer the uploaded file contents.
`java.io.InputStream` | `getInputStream()` Answer the uploaded file contents input stream
`long` | `getSize()` Answer the size of this file.

Methods inherited from class org.apache.myfaces.custom.fileupload.UploadedFileDefaultImplBase
`getContentType, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadedFileDefaultFileImpl

    public UploadedFileDefaultFileImpl(org.apache.commons.fileupload.FileItem fileItem)
                                throws java.io.IOException

Method Detail

### getBytes

    public byte[] getBytes()
                    throws java.io.IOException

  Answer the uploaded file contents.

  Specified by:
    `getBytes` in interface `UploadedFile`
  Specified by:
    `getBytes` in class `UploadedFileDefaultImplBase`
  Returns:
    file contents
  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Answer the uploaded file contents input stream

  Specified by:
    `getInputStream` in interface `UploadedFile`
  Specified by:
    `getInputStream` in class `UploadedFileDefaultImplBase`
  Returns:
    InputStream
  Throws:
    `java.io.IOException`

### getSize

    public long getSize()

  Answer the size of this file.

  Specified by:
    `getSize` in interface `UploadedFile`
  Specified by:
    `getSize` in class `UploadedFileDefaultImplBase`
  Returns:
    long

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD